Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Compiler.Epic.Epic

Description

Pretty-print the AuxAST to valid Epic code.

Synopsis

- prettyEpicFun :: MonadTCM m => Fun -> Compile m String
- prettyEpic :: Expr -> String

# Documentation

prettyEpicFun :: MonadTCM m => Fun -> Compile m String #

Print a function to an Epic string

prettyEpic :: Expr -> String #

Print expression to Epic expression